%define anolis_release 1

Name:		numactl
Summary:	Library for tuning for Non Uniform Memory Access machines
Version:	2.0.16
Release:	%{anolis_release}%{?dist}
License:	GPLv2
URL:		https://github.com/numactl/numactl
Source0:	https://github.com/numactl/numactl/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	libtool automake autoconf

%description
Simple NUMA policy support. It consists of a numactl program to run
other programs with a specific NUMA policy.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package libs
Summary: libnuma libraries
License: LGPLv2 and GPLv2

%description libs
numactl-libs provides libnuma, a library to do allocations with
NUMA policy in applications.

%package devel
Summary: Development package for building Applications that use numa
Requires: %{name}-libs = %{version}-%{release}
License: LGPLv2 and GPLv2

%description devel
Provides development headers for numa library calls

%prep
%autosetup

%build
%configure --prefix=/usr --libdir=%{_libdir}
sed -i -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
       -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
rm -rf $RPM_BUILD_ROOT
%make_install

%ldconfig_scriptlets
%ldconfig_scriptlets libs

%generate_compatibility_deps

%files
%{_bindir}/numactl
%{_bindir}/numademo
%{_bindir}/numastat
%{_bindir}/memhog
%{_bindir}/migspeed
%{_bindir}/migratepages
%{_mandir}/man8/*.8*
%exclude %{_mandir}/man2/*.2*
%{abidir}/num*-option.list

%files doc
%doc README.md

%files libs
%dir %{abidir}
%{_libdir}/libnuma.so.1.0.0
%{_libdir}/libnuma.so.1
%{abidir}/libnuma.dump

%files devel
%{_libdir}/libnuma.so
%exclude %{_libdir}/libnuma.a
%exclude %{_libdir}/libnuma.la
%{_libdir}/pkgconfig/numa.pc
%{_includedir}/numa.h
%{_includedir}/numaif.h
%{_includedir}/numacompat1.h
%{_mandir}/man3/*.3*

%changelog
* Thu Feb 02 2023 Feng Su <sufeng@linux.alibaba.com> - 2.0.16-1
- update to v2.0.16

* Tue Oct 18 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.0.14-3
- optimise spec file

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.0.14-2
- add doc package

* Tue Mar 08 2022 liuzhilin <liuzhilin@uniontech.com> - 2.0.14-1
- Init for Anolis OS 23

